> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get comprehensive metadata for a Bitcoin inscription including content type, creator, and associated token information.

# Token Metadata by Inscription



## OpenAPI

````yaml bitcoin/blockchain-indexer-api/openapi.json get /assets/inscriptions/{inscription_id}/metadata
openapi: 3.0.3
info:
  title: Bitcoin - Blockchain Indexer API
  description: >-
    This API provides core indexer endpoints with support for Bitcoin
    metaprotocols by delivering real-time, rollback-protected access to
    Bitcoin's UTXO data, enabling developers to build responsive and reliable
    blockchain applications without managing complex infrastructure.


    #### Key Features:

    - **Real-Time Data with Rollback Protection:** Ensures data accuracy by
    handling chain reorganizations gracefully, providing live data without
    sacrificing integrity.

    - **Comprehensive UTXO Indexing:** Specialized pipelines extract, match, and
    process on-chain information, including handling rollbacks, to provide
    accurate and up-to-date data.


    #### Key Benefits for Developers:

    By abstracting the complexities of blockchain data retrieval and processing,
    Maestro's Bitcoin Indexer API empowers developers to focus on building
    innovative applications with confidence in fast and reliable access to
    historical chain data.
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.2.0
servers:
  - url: https://xbt-mainnet.gomaestro-api.org/v0
    description: Bitcoin Mainnet
  - url: https://xbt-testnet.gomaestro-api.org/v0
    description: Bitcoin Testnet
security:
  - api-key: []
paths:
  /assets/inscriptions/{inscription_id}/metadata:
    get:
      tags:
        - Inscriptions
      summary: Token Metadata by Inscription
      description: Metadata specific to inscription.
      operationId: token_metadata_by_inscription
      parameters:
        - name: inscription_id
          in: path
          description: Inscription ID
          required: true
          schema:
            type: string
          example: 0001a5f7af47c79fa8acfb4fb4d4588d561a86b9f45dd1cf9120663dc74c0a08i0
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimestampedTokenMetadataByInscription'
              example:
                data:
                  chain: btc
                  collection:
                    chain: btc
                    createdAt: Fri, 26 May 2023 04:23:17 GMT
                    creatorTipsAddress: ''
                    description: >-
                      Ordinal #99999 has 50 alien friends. Would you like to
                      join his Action Alien Club?
                    disableRichThumbnailGeneration: false
                    discordLink: ''
                    enableCollectionOffer: true
                    imageURI: >-
                      https://bafkreihillpn43rubd2wffzot5ccungccpen6btcofn2kylutexkpkaymq.ipfs.nftstorage.link/
                    inscriptionIcon: >-
                      46b576bc669c03227f273103654c46fa9b516374ed6a2b8d03cc786e95fd50f3i0
                    labels: []
                    name: 99999 Action Alien Club
                    overrideContentType: ''
                    supply: 50
                    symbol: aaclub
                    twitterLink: http://www.twitter.com/oxfordyazuka
                    websiteLink: ''
                  collectionSymbol: aaclub
                  contentPreviewURI: >-
                    https://ord-mirror.magiceden.dev/preview/0001a5f7af47c79fa8acfb4fb4d4588d561a86b9f45dd1cf9120663dc74c0a08i0
                  contentType: image/gif
                  contentURI: >-
                    https://ord-mirror.magiceden.dev/content/0001a5f7af47c79fa8acfb4fb4d4588d561a86b9f45dd1cf9120663dc74c0a08i0
                  displayName: 'Action Alien #22'
                  genesisTransaction: >-
                    0001a5f7af47c79fa8acfb4fb4d4588d561a86b9f45dd1cf9120663dc74c0a08
                  genesisTransactionBlockHash: >-
                    00000000000000000006548ee473a9237f601bae4e968d04cf273089306a6ebf
                  genesisTransactionBlockHeight: 776602
                  genesisTransactionBlockTime: Wed, 15 Feb 2023 04:54:08 GMT
                  id: >-
                    0001a5f7af47c79fa8acfb4fb4d4588d561a86b9f45dd1cf9120663dc74c0a08i0
                  inscriptionNumber: 100198
                  itemType: Inscription
                  lastSalePrice: 200000
                  listed: true
                  listedAt: Wed, 15 Nov 2023 13:52:21 GMT
                  listedForMint: false
                  listedMakerFeeBp: 50
                  listedPrice: 4400000
                  listedSellerReceiveAddress: >-
                    bc1pw57nwvp0g4uz053v7z404zyqn4xykjxsxffh2tga095w5kmdtelsjh656y
                  location: >-
                    f75f3de0977213530dfea6ba4869f5229e778a549ba8f47247c6503e663adda4:1:0
                  locationBlockHash: >-
                    000000000000000000016206f6ad6b8989ae590f0b5cb5727ba786dc4f7b15ac
                  locationBlockHeight: 791716
                  locationBlockTime: Sun, 28 May 2023 02:33:26 GMT
                  meta:
                    attributes: null
                    name: 'Action Alien #22'
                  output: >-
                    f75f3de0977213530dfea6ba4869f5229e778a549ba8f47247c6503e663adda4:1
                  outputValue: 10000
                  owner: >-
                    bc1pw57nwvp0g4uz053v7z404zyqn4xykjxsxffh2tga095w5kmdtelsjh656y
                  sacAddress: ''
                  sat: 1916312270479035
                  satBlockHeight: 756099
                  satBlockTime: Wed, 28 Sep 2022 17:20:31 GMT
                  satName: aguozseyvuc
                  satRarity: common
                  satributes:
                    - Common
                  updatedAt: Tue, 11 Jun 2024 20:09:56 GMT
                last_updated:
                  block_hash: >-
                    00000000000000000001998e2059bcbb25f76fd0ef39db8ddfc5c31c5ea95f1f
                  block_height: 876644
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    TimestampedTokenMetadataByInscription:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          $ref: '#/components/schemas/MagicEdenToken'
        last_updated:
          $ref: '#/components/schemas/ChainTip'
    MagicEdenToken:
      type: object
      required:
        - id
        - contentURI
        - contentType
        - contentPreviewURI
        - genesisTransaction
        - genesisTransactionBlockTime
        - genesisTransactionBlockHash
        - genesisTransactionBlockHeight
        - inscriptionNumber
        - chain
        - meta
        - location
        - locationBlockHeight
        - locationBlockTime
        - locationBlockHash
        - output
        - outputValue
        - owner
        - listed
        - listedAt
        - listedPrice
        - listedMakerFeeBp
        - listedSellerReceiveAddress
        - listedForMint
        - collectionSymbol
        - collection
        - itemType
        - sat
        - satName
        - satRarity
        - satBlockHeight
        - satBlockTime
        - satributes
        - displayName
        - lastSalePrice
        - updatedAt
        - sacAddress
      properties:
        chain:
          type: string
        collection:
          $ref: '#/components/schemas/MagicEdenTokenCollection'
        collectionSymbol:
          type: string
        contentPreviewURI:
          type: string
        contentType:
          type: string
        contentURI:
          type: string
        displayName:
          type: string
        genesisTransaction:
          type: string
        genesisTransactionBlockHash:
          type: string
        genesisTransactionBlockHeight:
          type: integer
          format: int64
        genesisTransactionBlockTime:
          type: string
        id:
          type: string
        inscriptionNumber:
          type: integer
          format: int64
        itemType:
          type: string
        lastSalePrice:
          type: integer
          format: int64
        listed:
          type: boolean
        listedAt:
          type: string
        listedForMint:
          type: boolean
        listedMakerFeeBp:
          type: integer
          format: int32
        listedPrice:
          type: integer
          format: int64
        listedSellerReceiveAddress:
          type: string
        location:
          type: string
        locationBlockHash:
          type: string
        locationBlockHeight:
          type: integer
          format: int64
        locationBlockTime:
          type: string
        meta:
          $ref: '#/components/schemas/MagicEdenTokenMeta'
        output:
          type: string
        outputValue:
          type: integer
          format: int64
        owner:
          type: string
        sacAddress:
          type: string
        sat:
          type: integer
          format: int64
        satBlockHeight:
          type: integer
          format: int64
        satBlockTime:
          type: string
        satName:
          type: string
        satRarity:
          type: string
        satributes:
          type: array
          items:
            type: string
        updatedAt:
          type: string
    ChainTip:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
          description: The hash of the block
          example: 0000000000000000000a7f3b7b6b6e1d9a18db65a3b4a3f4f3bcb2e1f1b2d3e7
        block_height:
          type: integer
          format: int64
          description: The height of the block in the blockchain
          example: 707000
          minimum: 0
    MagicEdenTokenCollection:
      type: object
      required:
        - symbol
        - name
        - imageURI
        - chain
        - inscriptionIcon
        - description
        - supply
        - twitterLink
        - discordLink
        - websiteLink
        - createdAt
        - overrideContentType
        - disableRichThumbnailGeneration
        - labels
        - creatorTipsAddress
        - enableCollectionOffer
      properties:
        chain:
          type: string
        createdAt:
          type: string
        creatorTipsAddress:
          type: string
        description:
          type: string
        disableRichThumbnailGeneration:
          type: boolean
        discordLink:
          type: string
        enableCollectionOffer:
          type: boolean
        imageURI:
          type: string
        inscriptionIcon:
          type: string
        labels:
          type: array
          items:
            type: string
        name:
          type: string
        overrideContentType:
          type: string
        supply:
          type: integer
          format: int64
        symbol:
          type: string
        twitterLink:
          type: string
        websiteLink:
          type: string
    MagicEdenTokenMeta:
      type: object
      required:
        - name
      properties:
        attributes:
          type: array
          items:
            $ref: '#/components/schemas/MagicEdenTokenMetaAttribute'
          nullable: true
        name:
          type: string
    MagicEdenTokenMetaAttribute:
      type: object
      required:
        - value
        - trait_type
      properties:
        trait_type:
          type: string
        value:
          type: string
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````